Skip to main content

Snag Solutions - API Docs (v 0.1)


What’s Changed


GET /api/loyalty/rule_edits
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      • Changed property data (object)
        Data that was changed on the rule
        • Changed property metadata (object)
          Optional metadata for the loyalty rule
      • Changed property previousData (object)
        Previous data of the rule before the edit
        • Changed property metadata (object)
          Optional metadata for the loyalty rule
POST /api/loyalty/rule_edits//restore
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (object)
      Data that was changed on the rule
      • Changed property metadata (object)
        Optional metadata for the loyalty rule
    • Changed property previousData (object)
      Previous data of the rule before the edit
      • Changed property metadata (object)
        Optional metadata for the loyalty rule
GET /api/loyalty/rule_groups
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      Schema for a get loyalty rule groups response
      • Changed property loyaltyGroupItems (array) Changed items (object):
        • Changed property loyaltyRule (object)
          • Changed property metadata (object)
            • Deleted property minQty (number)
              Minimum quantity constraint for token holding.
            • Deleted property maxQty (number)
              Maximum quantity constraint for token holding.
GET /api/loyalty/rules
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      • Changed property metadata (object)
        Optional metadata for the loyalty rule
POST /api/loyalty/rules
Request:
Changed content type : application/json
  • Changed property type (string)
    Type of loyalty rule being created
  • Changed property metadata (object)
    Additional metadata for the loyalty rule
    • Deleted property minQty (number)
      Minimum quantity constraint for token holding.
    • Deleted property maxQty (number)
      Maximum quantity constraint for token holding.
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property type (string)
      Type of loyalty rule being created
    • Changed property metadata (object)
      Additional metadata for the loyalty rule
      • Deleted property minQty (number)
        Minimum quantity constraint for token holding.
      • Deleted property maxQty (number)
        Maximum quantity constraint for token holding.
POST /api/loyalty/rules/
Request:
Changed content type : application/json
  • Changed property metadata (object)
    Additional metadata for the loyalty rule
    • Deleted property minQty (number)
      Minimum quantity constraint for token holding.
    • Deleted property maxQty (number)
      Maximum quantity constraint for token holding.
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property metadata (object)
      Additional metadata for the loyalty rule
      • Deleted property minQty (number)
        Minimum quantity constraint for token holding.
      • Deleted property maxQty (number)
        Maximum quantity constraint for token holding.

Result


API changes are backward compatible